[ovs-dev] [PATCH] NEWS: Correct some items incorrectly stating they arrived in 1.9.0.

Ben Pfaff blp at nicira.com
Mon Feb 4 22:47:51 UTC 2013


On Mon, Feb 04, 2013 at 02:20:58PM -0800, Justin Pettit wrote:
> A few items were listed as arriving in 1.9.0, but they actually were new
> to 1.10.0.
> 
> Signed-off-by: Justin Pettit <jpettit at nicira.com>

I don't have any comments on the rearrangement, but I have some
suggestions for improvement overall.  I guess that could be a separate
commit if you prefer.

Here, s/Openflow/OpenFlow/:
> +    - Openflow:

The following is specifically related to tunneling, right?  I don't
think that OVS influences path MTU otherwise: 
>      - Path MTU discovery is no longer supported.
Maybe we could merge this item into a "tunneling" section along with
"Tunneling requires the version of the kernel module paired with Open
vSwitch 1.9.0 or later." and "Inheritance of the Don't Fragment bit in
IP tunnels (df_inherit) is no longer supported." and anything else
that looks related to tunnels.

This item won't be meaningful to most people:
    - Patch ports are implemented in userspace.
How about "Patch ports no longer require kernel support, so they now
work with the kernel module built into Linux 3.3 and later."?

1.9 also has a number of tunneling-related changes that could be
grouped.



More information about the dev mailing list